Bug 209016 - dcraw URL and version number
dcraw URL and version number
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dcraw (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 18:48 EDT by Jeff Moe (jebba)
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-01 12:18:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Moe (jebba) 2006-10-02 18:48:36 EDT
Description of problem:
dcraw is a program that doesn't come in a typical .tar.gz archive, it's just a
.c file sitting on a guy's site. So Fedora has used a timestamp of when the file
was downloaded for the version number, e.g. 20060521. But the program /does/
have a version number in the C file and resulting binary, so the version number
in the RPM should reflect that.

Also, the URL is left out of the .spec.

Version-Release number of selected component (if applicable):
0.0.20060521-1.1 / v8.19

Additional info:
Running the program with no options returns the version number. You can also see
it in the v8.19 (20060521) dcraw.c release here:
"\nRaw Photo Decoder \"dcraw\" v8.19"

In v8.39 it is changed to this format (released upstream, but not in rawhide/devel):
#define VERSION "8.39"

The URL for the site should also be added:
http://cybercom.net/~dcoffin/dcraw/

I know this seems a bit nitpicky, but if users are asked "what version are you
running?" and such and they respond 20060521, they'll likely get blank stares
from upstream. ;)  It has a version number so let's use it.

As for the manpage, that could be timestamped, but perhaps using the timestamp
in the manpage itself, not the download time. The latest is July 18, 2006
(20060718).

Thanks! :)
Comment 1 Nils Philippsen 2007-02-01 12:18:39 EST
Upstream finally has a tarball, alongside with translated manpages, message
catalogs, ... Yay! Rawhide has dcraw-8.53-1.fc7 building right now.

Note You need to log in before you can comment on or make changes to this bug.